Announcement

Collapse
No announcement yet.

Ubuntu Gets Another ATI Catalyst Driver Handout

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • #11
    Not for me ,but I didn't even tried to see what's wrong with it.I'll do that tomorrow.However I did managed to fix black screen at login but it then crashed few times when I tried to play HON(Heroes of ...).That can be attributed to other things because I was messing a lot with the system.

    Comment


    • #12
      I think the ION vs Radeon HD 4330 test should be redone with this driver (assuming it works).

      Comment


      • #13
        I just installed it and it works like a charm. eh, well, it works.

        The backclear patch is still needed, but it applied without any problems so it's not a big deal.

        My HD4890 says:
        OpenGL version string: 3.2.9737 Compatibility Profile Context
        OpenGL shading language version string: 1.50

        (with catalyst 10.2 it was 3.2.9551 Compatibility Profile Context)

        Catalyst control center is at version 2.12, 2D Driver version went from 8.70.3 to 8.72.10 and the CCC now shows a "Driver Packaging Version" with the value "8.72.1-100310a-097159C-ATI".

        @kUrb1a: I just played Doom 3 and HoN without any problems

        Comment


        • #14
          Originally posted by LibertyZero View Post
          The backclear patch is still needed, but it applied without any problems so it's not a big deal.
          I won't be required anymore once Direct2D is finalized. Don't expect that to happen before Catalyst 10.5/10.6 though

          Comment


          • #15
            Originally posted by d2kx View Post
            I won't be required anymore once Direct2D is finalized. Don't expect that to happen before Catalyst 10.5/10.6 though

            10.7 seems more likely from what I can see.

            Comment


            • #16
              and AMD does it again

              we need some working package for amd64 for arch, gentoo, etc. (other distributions than *buntu) please

              does Direct2D work with compositing now ? or does it still cripple (== make it unable to work & hardlock) compositing, effectively only allowing one or the other ?

              support for 2.6.33 should be no problem

              I'm concerned whether it works on other distributions, support for xorg-server 1.7* is a welcome addition

              Thanks !

              Comment


              • #17
                I don't think Direct2D is enabled by default yet. When it's finished we'll tell you, honest

                Comment


                • #18
                  I don't know if this code has it to the beta group yet (and hence to the packagers) but if not I think it should be there soon. I need to pay more attention to the beta list emails...

                  Comment


                  • #19
                    Well, its not hard to rebuild this ubuntu's package.
                    Actually i already did that and prepared packages for arch...
                    If some arch user is interesting - http://bbs.archlinux.org/viewtopic.p...728348#p728348

                    Comment


                    • #20
                      I play Dungeons and Dragons Online, noticed that 10.x started throwing the geometry out of sync. Fire for a tourch would appear 10 feet from where it was suppose to be burning. Huge triangles appeared out of my character.

                      I decided it must be a bad interaction between Wine and Fglrx.

                      I've been installing the drivers in recovery mode on Karmic.

                      Comment

                      Working...
                      X